<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
	  <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <InternalsVisibleTo Include="Baya.Test.Foundation" />
    <InternalsVisibleTo Include="Baya.Test.Api" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Core\Baya.Application\Baya.Application.csproj" />
    <ProjectReference Include="..\..\Core\Baya.Domain\Baya.Domain.csproj" />
  </ItemGroup>

</Project>
